<?php

namespace App;

use App\Models\Album;
use Illuminate\Http\UploadedFile;

interface ImportsMedia
{
    public static function supports(UploadedFile $file): bool;
    public function __construct(UploadedFile $file, Album $location);
    public function import(): void;
}
